### Enumeration

# Gimp GradientSegmentType

#### Declaration

    enum Gimp.GradientSegmentType

#### Description [src]

Transition functions for gradient segments.

#### Members

Name | Description
--- | ---
`GIMP_GRADIENT_SEGMENT_LINEAR` | Linear.
`GIMP_GRADIENT_SEGMENT_CURVED` | Curved.
`GIMP_GRADIENT_SEGMENT_SINE` | Sinusoidal.
`GIMP_GRADIENT_SEGMENT_SPHERE_INCREASING` | Spherical (increasing)
`GIMP_GRADIENT_SEGMENT_SPHERE_DECREASING` | Spherical (decreasing)
`GIMP_GRADIENT_SEGMENT_STEP` | Step.